Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Visa Account Verification Request with a Token


Use this information to process a zero-amount authorization for a mass transit Visa account verification request (AVR) with a transient token.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "transactionId": "5987654321",    "partner": {      "thirdPartyCertificationNumber": "123456789012"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "reconciliationId": "asfafafafaffa"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "0.00",      "currency": "THB"    }  },  "tokenInformation": {    "jti": "a76392f4-cde4-97aa-1112-0242ac14c005"  },  "pointOfSaleInformation": {    "terminalId": "12345678",    "catLevel": "2",    "entryMode": "contactless",    "terminalCapability": "5",    "terminalPinCapability": "0"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6482301315406593304003/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6482301315406593304003"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6482301315406593304003/captures"    }  },  "clientReferenceInformation": {    "code": "123456",    "transactionId": "5987654321"  },  "id": "6482301315406593304003",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "0.00",      "currency": "THB"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "processorInformation": {    "systemTraceAuditNumber": "191316",    "approvalCode": "831000",    "merchantAdvice": {      "code": "01",      "codeRaw": "M001"    },    "responseDetails": "ABC",    "networkTransactionId": "016153570198200",    "consumerAuthenticationResponse": {      "code": "2",      "codeRaw": "2"    },    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  },  "reconciliationId": "asfafafafaffa",  "status": "AUTHORIZED",  "submitTimeUtc": "2022-03-25T17:42:11Z"}
FieldTypeDescription
clientReferenceInformation.partner.thirdPartyCertificationNumber
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmountSet this field to 0.00.
paymentInformation.card.typeSet this field to 001.
pointOfSaleInformation.catLevelSet this field to 2.
pointOfSaleInformation.entryModeSet this field to contactless.
pointOfSaleInformation.terminalCapabilitySet this field to 5.
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapabilitySet this field to 0.
processingInformation.commerceIndicatorSet this field to retail.
processingInformation.reconciliationId
tokenInformation.jti

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.